Log4j 1.2.7

## org.apache.log4j.xml.examples
Class XMLSample

    java.lang.Object
      |
      +--org.apache.log4j.xml.examples.XMLSample

public class XMLSample
extends Object

This example code shows how to read an XML based configuration file using a DOM parser.

Sample XML files sample1.xml and sample2.xml are provided.

Note that the log4j.dtd is not in the local directory. It is found by the class loader.

Author:
  Ceki Gülcü

Constructor Summary
`XMLSample()`

Method Summary
`static void` `main(String[] argv)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSample

    public XMLSample()

Method Detail

### main

    public static void main(String[] argv)

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.